org.jbpm.process.workitem.jms

## Class JMSSendTaskWorkItemHandler

- java.lang.Object
- - org.jbpm.process.workitem.AbstractLogOrThrowWorkItemHandler
  - - org.jbpm.process.workitem.jms.JMSSendTaskWorkItemHandler

- All Implemented Interfaces:
    org.kie.api.runtime.process.WorkItemHandler, org.kie.internal.runtime.Cacheable

      public class JMSSendTaskWorkItemHandler
      extends AbstractLogOrThrowWorkItemHandler
      implements org.kie.internal.runtime.Cacheable

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.workitem.AbstractLogOrThrowWorkItemHandler

      `logThrownException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSSendTaskWorkItemHandler()`
    `JMSSendTaskWorkItemHandler(ConnectionFactory connectionFactory, Destination destination)`
    `JMSSendTaskWorkItemHandler(ConnectionFactory connectionFactory, Destination destination, boolean transacted)`
    `JMSSendTaskWorkItemHandler(String connectionFactoryName, String destinationName)`
    `JMSSendTaskWorkItemHandler(String connectionFactoryName, String destinationName, boolean transacted)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abortWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `protected void` | `addPropertyIfExists(String propertyName, Object properyValue, Message msg)`
    `void` | `close()`
    `protected Message` | `createMessage(org.kie.api.runtime.process.WorkItem workItem, Session session)`
    `void` | `executeWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `protected void` | `init()`

    - ### Methods inherited from class org.jbpm.process.workitem.AbstractLogOrThrowWorkItemHandler

      `handleException, handleException, setLogThrownException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSSendTaskWorkItemHandler

          public JMSSendTaskWorkItemHandler()

    - #### JMSSendTaskWorkItemHandler

          public JMSSendTaskWorkItemHandler(String connectionFactoryName,
                                            String destinationName)

    - #### JMSSendTaskWorkItemHandler

          public JMSSendTaskWorkItemHandler(ConnectionFactory connectionFactory,
                                            Destination destination)

    - #### JMSSendTaskWorkItemHandler

          public JMSSendTaskWorkItemHandler(String connectionFactoryName,
                                            String destinationName,
                                            boolean transacted)

    - #### JMSSendTaskWorkItemHandler

          public JMSSendTaskWorkItemHandler(ConnectionFactory connectionFactory,
                                            Destination destination,
                                            boolean transacted)

  - ### Method Detail

    - #### init

          protected void init()

    - #### createMessage

          protected Message createMessage(org.kie.api.runtime.process.WorkItem workItem,
                                          Session session)
                                   throws JMSException

      Throws:
        `JMSException`

    - #### executeWorkItem

          public void executeWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                                      org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `executeWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`

    - #### abortWorkItem

          public void abortWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                                    org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `abortWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.kie.internal.runtime.Cacheable`

    - #### addPropertyIfExists

          protected void addPropertyIfExists(String propertyName,
                                             Object properyValue,
                                             Message msg)
                                      throws JMSException

      Throws:
        `JMSException`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.